package org.jk.system.domain;


import cn.idev.excel.annotation.ExcelProperty;
import lombok.Data;
import lombok.Value;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import org.jk.common.mybatis.core.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 sys_project
 *
 * @author takai
 * @date 2025-05-28
 */
@Data
public class SysProject extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private long projectId;

    /** 项目编号 */
    @ExcelProperty(value="项目编号")
    private String projectPid;

    /** 项目名称 */
    @ExcelProperty(value="项目名称")
    private String projectName;

    private String[] appId;

    private String[] name;

    private Long projectType;

    private String sourceFrom;

    private String sourceFromName;


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("projectId", getProjectId())
            .append("projectPid", getProjectPid())
            .append("projectName", getProjectName())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("appId", getAppId())
            .append("name", getName())
            .toString();
    }
}
